import axios from "@/utils/request";

export function deviceRepairApplyPage(query) {
  return axios(
    {
      url: "/udi/device/repair/apply/page",
      method: "POST",
      data: query
    }
  )
}

export function deviceRepairApplyHallPage(query) {
  return axios(
    {
      url: "/udi/device/repair/apply/hall/page",
      method: "POST",
      data: query
    }
  )
}

export function deviceRepairApplyConfirmByUserPage(query) {
  return axios(
    {
      url: "/udi/device/repair/apply/confirmByUser/page",
      method: "POST",
      data: query
    }
  )
}

export function deviceRepairApplyAdd(query) {
  return axios(
    {
      url: "/udi/device/repair/apply/add",
      method: "POST",
      data: query
    }
  )
}

export function confirmDeviceRepairApply(query) {
  return axios(
    {
      url: "/udi/device/repair/apply/confirm",
      method: "POST",
      data: query
    }
  )
}
